Subject: Re: bug#53969: 29.0.50; display frame parameter set incorrectly on pgtk

From: Po Lu <[email-masked]>
Date: Sun, 13 Feb 2022 19:55:56 +0800

Andrew Tropin <[email-masked]> writes:

> I can't change this frame parameter manually with set-frame-parameter or
> similar function, calling it doesn't change anything.

That's intentional, as it makes no sense to set the display parameter.

> This makes browse-url unusable because it presets WAYLAND_DISPLAY
> based on the value of this parameter.
>
> Also, setting DISPLAY, WAYLAND_DISPAY or display for emacsclient doesn't
> change anything as well.
>
> WAYLAND_DISPLAY=wayland-1 emacsclient -c --display=wayland-1

Would you please show the result of evaluating "(x-display-list)"?

Thanks in advance.